// Copyright (c) 2013, the project authors. Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed
// by a Apache license that can be found in the LICENSE file.

/**
 * A formatter to zero padding
 */
library zero_padding;

/// Return zero padded string.
///
/// * If [n]'s length is shorter than [length], returns zero padded string.
/// * If [n]'s length is longer than [length], returns original string.
///
/// Example
///
/// ```
/// print(zeroPadding(1, 3)); // => 001
///
/// print(zeroPadding(100, 3)); // => 100
///
/// print(zeroPadding(1000, 3)); // => 1000
///
/// print(zeroPadding(0.1, 5)); // => 000.1
///
/// print(zeroPadding(1.0, 5)); // => 001.0
/// ```
///
String zeroPadding(num n, int length) {
//  var original = n.toString();
//  if (original.length >= length) {
//    return original;
//  }
//  var padding = new List.filled(length, 0).join("") + original;
//  return padding.substring(padding.length - length);
  return n.toString().padLeft(length, "0");
}